package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.external.filter.CPXHSearchContext;

/**
 * 实体 [厂牌型号] 存储模型
 */
public interface CPXH{

    /**
     * 功率
     */
    Double getGl();

    void setGl(Double gl);

    /**
     * 获取 [功率]脏标记
     */
    boolean getGlDirtyFlag();
    /**
     * 别名
     */
    String getBm();

    void setBm(String bm);

    /**
     * 获取 [别名]脏标记
     */
    boolean getBmDirtyFlag();
    /**
     * 号牌底色
     */
    String getHpds();

    void setHpds(String hpds);

    /**
     * 获取 [号牌底色]脏标记
     */
    boolean getHpdsDirtyFlag();
    /**
     * 备注
     */
    String getBz();

    void setBz(String bz);

    /**
     * 获取 [备注]脏标记
     */
    boolean getBzDirtyFlag();
    /**
     * 厂牌型号名称
     */
    String getCPXHName();

    void setCPXHName(String cPXHName);

    /**
     * 获取 [厂牌型号名称]脏标记
     */
    boolean getCPXHNameDirtyFlag();
    /**
     * 新车购置价
     */
    BigDecimal getXcgzj();

    void setXcgzj(BigDecimal xcgzj);

    /**
     * 获取 [新车购置价]脏标记
     */
    boolean getXcgzjDirtyFlag();
    /**
     * 上市年份
     */
    String getSsnf();

    void setSsnf(String ssnf);

    /**
     * 获取 [上市年份]脏标记
     */
    boolean getSsnfDirtyFlag();
    /**
     * 核定载质量
     */
    Double getHdzzl();

    void setHdzzl(Double hdzzl);

    /**
     * 获取 [核定载质量]脏标记
     */
    boolean getHdzzlDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * A/B类
     */
    String getAbl();

    void setAbl(String abl);

    /**
     * 获取 [A/B类]脏标记
     */
    boolean getAblDirtyFlag();
    /**
     * 车辆类型描述
     */
    String getCllxms();

    void setCllxms(String cllxms);

    /**
     * 获取 [车辆类型描述]脏标记
     */
    boolean getCllxmsDirtyFlag();
    /**
     * 核定载客
     */
    Integer getHdzk();

    void setHdzk(Integer hdzk);

    /**
     * 获取 [核定载客]脏标记
     */
    boolean getHdzkDirtyFlag();
    /**
     * 整备质量
     */
    Double getZbzl();

    void setZbzl(Double zbzl);

    /**
     * 获取 [整备质量]脏标记
     */
    boolean getZbzlDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 品牌
     */
    String getPp();

    void setPp(String pp);

    /**
     * 获取 [品牌]脏标记
     */
    boolean getPpDirtyFlag();
    /**
     * 打印厂牌型号
     */
    String getDycpxh();

    void setDycpxh(String dycpxh);

    /**
     * 获取 [打印厂牌型号]脏标记
     */
    boolean getDycpxhDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 车型代码
     */
    String getCxdm();

    void setCxdm(String cxdm);

    /**
     * 获取 [车型代码]脏标记
     */
    boolean getCxdmDirtyFlag();
    /**
     * 排量
     */
    Double getPl();

    void setPl(Double pl);

    /**
     * 获取 [排量]脏标记
     */
    boolean getPlDirtyFlag();
    /**
     * 厂牌型号标识
     */
    String getCPXHId();

    void setCPXHId(String cPXHId);

    /**
     * 获取 [厂牌型号标识]脏标记
     */
    boolean getCPXHIdDirtyFlag();
    /**
     * 生产厂商
     */
    String getSccs();

    void setSccs(String sccs);

    /**
     * 获取 [生产厂商]脏标记
     */
    boolean getSccsDirtyFlag();
    /**
     * 车辆实际价值
     */
    BigDecimal getClsjjz();

    void setClsjjz(BigDecimal clsjjz);

    /**
     * 获取 [车辆实际价值]脏标记
     */
    boolean getClsjjzDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 车系
     */
    String getCx();

    void setCx(String cx);

    /**
     * 获取 [车系]脏标记
     */
    boolean getCxDirtyFlag();
}
